Package commoble.morered.client.emi

# Record Class SolderingEmiRecipe

java.lang.Object
java.lang.Record
commoble.morered.client.emi.SolderingEmiRecipe

All Implemented Interfaces:
  `dev.emi.emi.api.recipe.EmiRecipe`

public record SolderingEmiRecipe(net.minecraft.resources.ResourceLocation id, List<dev.emi.emi.api.stack.EmiIngredient> inputs, List<dev.emi.emi.api.stack.EmiStack> outputs) extends Record implements dev.emi.emi.api.recipe.EmiRecipe

## Constructor Summary

Constructors
Constructor
Description
`SolderingEmiRecipe(net.minecraft.resources.ResourceLocation id, List<dev.emi.emi.api.stack.EmiIngredient> inputs, List<dev.emi.emi.api.stack.EmiStack> outputs)`
Creates an instance of a `SolderingEmiRecipe` record class.

## Method Summary

Modifier and Type
Method
Description
`void`
`addWidgets(dev.emi.emi.api.widget.WidgetHolder widgets)`
`static SolderingEmiRecipe`
`create(net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`dev.emi.emi.api.recipe.EmiRecipeCategory`
`getCategory()`
`int`
`getDisplayHeight()`
`int`
`getDisplayWidth()`
`@Nullable net.minecraft.resources.ResourceLocation`
`getId()`
`List<dev.emi.emi.api.stack.EmiIngredient>`
`getInputs()`
`List<dev.emi.emi.api.stack.EmiStack>`
`getOutputs()`
`final int`
`hashCode()`
Returns a hash code value for this object.
`net.minecraft.resources.ResourceLocation`
`id()`
Returns the value of the `id` record component.
`List<dev.emi.emi.api.stack.EmiIngredient>`
`inputs()`
Returns the value of the `inputs` record component.
`List<dev.emi.emi.api.stack.EmiStack>`
`outputs()`
Returns the value of the `outputs` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface dev.emi.emi.api.recipe.EmiRecipe

`getBackingRecipe, getCatalysts, hideCraftable, supportsRecipeTree`

## Constructor Details

### SolderingEmiRecipe

public SolderingEmiRecipe(net.minecraft.resources.ResourceLocation id, List<dev.emi.emi.api.stack.EmiIngredient> inputs, List<dev.emi.emi.api.stack.EmiStack> outputs)
Creates an instance of a `SolderingEmiRecipe` record class.

Parameters:
  `id` - the value for the `id` record component
  `inputs` - the value for the `inputs` record component
  `outputs` - the value for the `outputs` record component

## Method Details

### create

public static SolderingEmiRecipe create(net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe> recipe)

### getCategory

public dev.emi.emi.api.recipe.EmiRecipeCategory getCategory()

Specified by:
  `getCategory` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### getId

@Nullable public @Nullable net.minecraft.resources.ResourceLocation getId()

Specified by:
  `getId` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### getInputs

public List<dev.emi.emi.api.stack.EmiIngredient> getInputs()

Specified by:
  `getInputs` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### getOutputs

public List<dev.emi.emi.api.stack.EmiStack> getOutputs()

Specified by:
  `getOutputs` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### getDisplayWidth

public int getDisplayWidth()

Specified by:
  `getDisplayWidth` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### getDisplayHeight

public int getDisplayHeight()

Specified by:
  `getDisplayHeight` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### addWidgets

public void addWidgets(dev.emi.emi.api.widget.WidgetHolder widgets)

Specified by:
  `addWidgets` in interface `dev.emi.emi.api.recipe.EmiRecipe`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### id

public net.minecraft.resources.ResourceLocation id()
Returns the value of the `id` record component.

Returns:
  the value of the `id` record component

### inputs

public List<dev.emi.emi.api.stack.EmiIngredient> inputs()
Returns the value of the `inputs` record component.

Returns:
  the value of the `inputs` record component

### outputs

public List<dev.emi.emi.api.stack.EmiStack> outputs()
Returns the value of the `outputs` record component.

Returns:
  the value of the `outputs` record component